# 主要符号一览


以下列举了本书中使用的主要符号。


## 数

|||
|:--|:-:|
|$x$| 标量（整数或实数）|
|$\boldsymbol{x}$|向量|
|$\boldsymbol{X}$|矩阵|
|$\mathsf{X}$|张量|


## 集合

|||
|:--|:-:|
|$\mathcal{X}$|集合|
|$\mathbb{R}$|实数集合|
|$\mathbb{R}^n$|$n$维的实数向量集合|
|$\mathbb{R}^{x \times y}$|$x \times y$维的实数矩阵集合|


## 操作符

|||
|:--|:-:|
|$\boldsymbol{(\cdot)}^\top$|向量或矩阵的转置|
|$\odot$|按元素相乘|
|$\lvert\mathcal{X}\rvert$|集合$\mathcal{X}$中元素个数|
|$\|\cdot\|_p$|$L_p$范数|
|$\|\cdot\|$|$L_2$范数|
|$\sum$|连加|
|$\prod$|连乘|


## 函数

|||
|:--|:-:|
|$f(\cdot)$|函数|
|$\log(\cdot)$|自然对数函数|
|$\exp(\cdot)$|指数函数|


## 导数和梯度

|||
|:--|:-:|
|$\frac{dy}{dx}$|$y$关于$x$的导数|
|$\frac{\partial y}{\partial x}$|$y$关于$x$的偏导数|
|$\nabla_{\cdot} y$|$y$关于$\cdot$的梯度|


## 概率和统计

|||
|:--|:-:|
|$\mathbb{P}(\cdot)$|概率分布|
|$\cdot \sim \mathbb{P}$|随机变量$\cdot$的概率分布是$\mathbb{P}$|
|$\mathbb{P}(\cdot \mid \cdot)$|条件概率分布|
|$\mathbb{E}_\cdot(f(\cdot))$|函数$f(\cdot)$对$\cdot$的数学期望|


## 复杂度

|||
|:--|:-:|
|$\mathcal{O}$|大O符号（渐进符号）|
