# 卷积神经网络

本章我们介绍卷积神经网络（convolutional neural network）。它是近年来深度学习能在计算机视觉中取得巨大成果的基石，它也逐渐在被其他诸如自然语言处理、推荐系统和语音识别等领域广泛使用。这一章我们将讲解卷积神经网络的原理，并介绍过去几年中数个在 ImageNet 竞赛（一个著名的计算机视觉竞赛）取得优异成绩的深度卷积神经网络。

```eval_rst

.. toctree::
   :maxdepth: 2

   conv-layer
   padding-and-strides
   channels
   pooling
   lenet
   alexnet
   vgg
   nin
   googlenet
   batch-norm
   batch-norm-gluon
   resnet
   densenet
```
